Package org.jbpm.services.task.assignment.impl.strategy

## Class BusinessRuleAssignmentStrategy

- java.lang.Object
- - org.jbpm.services.task.assignment.impl.strategy.BusinessRuleAssignmentStrategy

- All Implemented Interfaces:
    `org.kie.internal.task.api.assignment.AssignmentStrategy`

      public class BusinessRuleAssignmentStrategy
      extends Object
      implements org.kie.internal.task.api.assignment.AssignmentStrategy

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BusinessRuleAssignmentStrategy()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.kie.internal.task.api.assignment.Assignment` | `apply​(org.kie.api.task.model.Task task, org.kie.api.task.TaskContext context, String excludedUser)` |
    `String` | `getIdentifier()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.kie.internal.task.api.assignment.AssignmentStrategy

      `taskDone`

- - ### Constructor Detail

    - #### BusinessRuleAssignmentStrategy

          public BusinessRuleAssignmentStrategy()

  - ### Method Detail

    - #### getIdentifier

          public String getIdentifier()

      Specified by:
        `getIdentifier` in interface `org.kie.internal.task.api.assignment.AssignmentStrategy`

    - #### apply

          public org.kie.internal.task.api.assignment.Assignment apply​(org.kie.api.task.model.Task task,
                                                                       org.kie.api.task.TaskContext context,
                                                                       String excludedUser)

      Specified by:
        `apply` in interface `org.kie.internal.task.api.assignment.AssignmentStrategy`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`